package com.yonggang.activity;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.Adapter;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;

import com.yonggang.R;
import com.yonggang.dao.OutaccountDao;
import com.yonggang.model.OutaccountModel;

import org.w3c.dom.Text;

import java.util.ArrayList;
import java.util.List;

public class DetailActivity extends AppCompatActivity {
    private ListView listView;
    public OutaccountDao outaccountDao;
   // public List<OutaccountModel> list;
    public String modelArray[];
    public ArrayAdapter<String> adapter;
    public TextView tv1;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_detail);
        listView = (ListView) findViewById(R.id.listView);
        tv1= (TextView) findViewById(R.id.tv1);

        outaccountDao = new OutaccountDao(this);
        if(outaccountDao.getCount()==0){
            tv1.setText("没有数据显示");
        }
        List<OutaccountModel>list = outaccountDao.getScrollData(0, (int) outaccountDao.getCount());
        modelArray = new String[list.size()];
        //list = new ArrayList<OutaccountModel>();

        for (int i = 0; i < list.size(); i++) {
            modelArray[i] = String.valueOf(list.get(i).getId()) + "|" +
                    list.get(i).getName() + "|"
                    + list.get(i).getPrice() + "|"
                    + String.valueOf(list.get(i).getMoney()) + "|"
                    + list.get(i).getDate();
        }
        adapter = new ArrayAdapter<String>(this,
                android.R.layout.simple_list_item_single_choice, modelArray);
        listView.setAdapter(adapter);


    }

    public void init() {//初始化相关组件

    }
}
